> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Library Skills

> List library skills with this workspace's install state.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /workspaces/{workspace_id}/skill-library
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /workspaces/{workspace_id}/skill-library:
    get:
      tags:
        - skill-library
      summary: List Library Skills
      description: List library skills with this workspace's install state.
      operationId: skill-library-list_library_skills
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 20
            title: Limit
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
        - name: reverse
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Reverse
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CursorPaginatedResponse_LibrarySkillRead_'
        '400':
          description: Invalid cursor
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
        - ServiceAccountApiKeyBearer: []
components:
  schemas:
    CursorPaginatedResponse_LibrarySkillRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/LibrarySkillRead'
          type: array
          title: Items
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: Cursor for next page
        prev_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Prev Cursor
          description: Cursor for previous page
        has_more:
          type: boolean
          title: Has More
          description: Whether more items exist
          default: false
        has_previous:
          type: boolean
          title: Has Previous
          description: Whether previous items exist
          default: false
        total_estimate:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Estimate
          description: Estimated total count from table statistics
      type: object
      required:
        - items
      title: CursorPaginatedResponse[LibrarySkillRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LibrarySkillRead:
      properties:
        slug:
          type: string
          title: Slug
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        installed:
          type: boolean
          title: Installed
        source:
          anyOf:
            - $ref: '#/components/schemas/LibrarySkillSourceRead'
            - type: 'null'
      type: object
      required:
        - slug
        - installed
      title: LibrarySkillRead
      description: A library skill and this workspace's install state.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    LibrarySkillSourceRead:
      properties:
        group:
          anyOf:
            - type: string
            - type: 'null'
          title: Group
        group_summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Group Summary
        group_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Group Description
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider
        repo:
          anyOf:
            - type: string
            - type: 'null'
          title: Repo
        commit:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit
        license:
          type: string
          title: License
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        kind:
          type: string
          enum:
            - upstream
            - local
          title: Kind
      type: object
      required:
        - group
        - repo
        - commit
        - license
        - url
        - kind
      title: LibrarySkillSourceRead
      description: Library group, maintainer, and optional upstream location of a skill.
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth
    ServiceAccountApiKeyBearer:
      type: http
      description: Tracecat service account API key.
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.